## big-cursor 3.10

=== Makefile ===
build:
	bdftopcf big-cursor.bdf > big-cursor.pcf

clean:
	rm -f big-cursor.pcf

## big-cursor 2.3

=== debian/changelog ===
big-cursor (2.3) unstable; urgency=low

  * Build deps.

 -- Joey Hess <joeyh@debian.org>  Sat,  4 Dec 1999 00:04:24 -0800

big-cursor (2.2) unstable; urgency=low

  * Removed install-stamp stuff, which can cause problems.

 -- Joey Hess <joeyh@debian.org>  Thu, 30 Sep 1999 12:59:59 -0700

big-cursor (2.1) unstable; urgency=low

  * Simply rebuilt to make it FHS compliant.

 -- Joey Hess <joeyh@debian.org>  Wed,  8 Sep 1999 16:53:06 -0700

big-cursor (2.0) unstable; urgency=low

  * Dropped the bdfresize stuff that generated the cursor font
    automatically. The cursor font is now hand-drawn, based on the
    old auto-generated font. This new fiont was generated by Michael
    Lachmann <dirk@santafe.edu>.
  * Made it a debian-only package.

 -- Joey Hess <joeyh@debian.org>  Wed,  9 Dec 1998 22:56:22 -0800

bdfresize (1.4-1) unstable; urgency=low

  * First release.
  * Currently, requires manual intervention to enable it. I am negotiating
    with the mantainer of X to make it automated through update-alternatives.
    If that goes through, other cursor sizes will be available besides the
    current x2 size.

 -- Joey Hess <joeyh@debian.org>  Mon, 22 Jun 1998 23:23:20 -0700

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: big-cursor
Section: x11
Priority: optional
Build-Depends-Indep: debhelper, xbase-clients
Maintainer: Joey Hess <joeyh@debian.org>
Standards-Version: 3.1.1.1

Package: big-cursor
Architecture: all
Depends: ${shlibs:Depends}
Description: larger mouse cursors for X
 This package provides some large mouse cursors for use under X. It's useful
 for laptop users, for those running X at very high resolutions, and for
 anyone who finds it hard to see the default mouse cursors.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir
	bdftopcf cursor2.bdf > cursor2.pcf
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	dh_clean build-stamp cursor2.pcf

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs usr/X11R6/lib/X11/fonts/big-cursor
	install -m 0644 cursor2.pcf \
		debian/tmp/usr/X11R6/lib/X11/fonts/big-cursor/
	gzip -9f debian/tmp/usr/X11R6/lib/X11/fonts/big-cursor/*
	cd debian/tmp/usr/X11R6/lib/X11/fonts/big-cursor/ && mkfontdir

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
#	dh_testversion
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installinit
	dh_installcron
	dh_installmanpages
#	dh_undocumented
	dh_installchangelogs
	dh_strip
	dh_compress
	dh_fixperms
	dh_suidregister
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
#	dh_makeshlibs
	dh_md5sums
	dh_builddeb

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

## big-cursor 3.0

=== debian/changelog ===
big-cursor (3.0) unstable; urgency=low

  * Use dh_installxfonts, so I can test that program.
  * Moved font to fonts/misc directory, to comply with policy, and for easier
    installation. If you had the fonts/big-cursor directory in your
    XF86Config, you can remove it now. I have to divert the regular cursor
    font out of the way to make this work.
  * Renamed the file to big-cursor.pcf.

 -- Joey Hess <joeyh@debian.org>  Sat, 26 Jan 2002 18:13:43 -0500

big-cursor (2.6) unstable; urgency=low

  * Debhelper v3.

 -- Joey Hess <joeyh@debian.org>  Wed, 18 Jul 2001 20:49:57 -0400

big-cursor (2.5) unstable; urgency=low

  * Build dep update.

 -- Joey Hess <joeyh@debian.org>  Tue, 30 Jan 2001 14:02:36 -0800

big-cursor (2.4) unstable; urgency=low

  * Updated to debhelper v2.

 -- Joey Hess <joeyh@debian.org>  Mon, 25 Sep 2000 13:59:25 -0700

=== debian/control ===
Source: big-cursor
Section: x11
Priority: optional
Build-Depends-Indep: debhelper (>= 3.4.2), xutils (>= 4.0.2)
Maintainer: Joey Hess <joeyh@debian.org>
Standards-Version: 3.5.6.0

Package: big-cursor
Architecture: all
Depends: ${shlibs:Depends}, xutils (>= 4.0.3)
Description: larger mouse cursors for X
 This package provides some large mouse cursors for use under X. It's useful
 for laptop users, for those running X at very high resolutions, and for
 anyone who finds it hard to see the default mouse cursors.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=3

build: build-stamp
build-stamp:
	dh_testdir
	bdftopcf big-cursor.bdf > big-cursor.pcf
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	dh_clean build-stamp big-cursor.pcf

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs usr/X11R6/lib/X11/fonts/misc
	install -m 0644 big-cursor.pcf \
		debian/big-cursor/usr/X11R6/lib/X11/fonts/misc/
	gzip -9f debian/big-cursor/usr/X11R6/lib/X11/fonts/misc/*

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installchangelogs
	dh_installxfonts
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

## big-cursor 3.3

=== debian/changelog ===
big-cursor (3.3) unstable; urgency=low

  * Move from build-depends-indep to build-depends, to meet current policy.

 -- Joey Hess <joeyh@debian.org>  Wed,  3 Sep 2003 11:57:07 -0400

big-cursor (3.2) unstable; urgency=low

  * Added real copyright text.

 -- Joey Hess <joeyh@debian.org>  Sun, 25 Aug 2002 16:37:44 -0400

big-cursor (3.1) unstable; urgency=low

  * Use debhelper v4.

 -- Joey Hess <joeyh@debian.org>  Sat,  1 Jun 2002 21:36:56 -0400

=== debian/control ===
Source: big-cursor
Section: x11
Priority: optional
Build-Depends: debhelper (>= 4.0.11), xutils (>= 4.0.2), dpkg-dev (>= 1.9.0)
Maintainer: Joey Hess <joeyh@debian.org>
Standards-Version: 3.6.1.0

Package: big-cursor
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: larger mouse cursors for X
 This package provides some large mouse cursors for use under X. It's useful
 for laptop users, for those running X at very high resolutions, and for
 anyone who finds it hard to see the default mouse cursors.

=== debian/rules ===
#!/usr/bin/make -f

build: build-stamp
build-stamp:
	dh_testdir
	bdftopcf big-cursor.bdf > big-cursor.pcf
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	dh_clean build-stamp big-cursor.pcf

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_install big-cursor.pcf usr/X11R6/lib/X11/fonts/misc

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installchangelogs
	dh_installxfonts
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

## big-cursor 3.4ubuntu2

=== debian/changelog ===
big-cursor (3.4ubuntu2) dapper; urgency=low

  * debian/preinst, debian/postrm: Adjusted paths to 
    /usr/share/X11/fonts/misc.

 -- Luke Yelavich <themuso@themuso.com>  Thu,  8 Dec 2005 12:01:11 +0000

big-cursor (3.4ubuntu1) dapper; urgency=low

  * debian/control: Change xutils build dependancy to bdftopcf.
  * debian/rules: Changed install path to /usr/share/X11/fonts/misc for
    Ubuntu's xorg.

 -- Luke Yelavich <themuso@themuso.com>  Thu,  8 Dec 2005 10:19:59 +0000

big-cursor (3.4) unstable; urgency=low

  * Always run dpkg-divert in the preinst, should be safe and I lost my
    diversion somehow in the xorg upgrade so this should deal with whatever
    caused that.
  * Current policy upgrade.

 -- Joey Hess <joeyh@debian.org>  Sat,  6 Aug 2005 11:44:32 -0400

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: big-cursor
 Section: x11
 Priority: optional
-Build-Depends: debhelper (>= 4.0.11), xutils (>= 4.0.2), dpkg-dev (>= 1.9.0)
+Build-Depends: debhelper (>= 4.0.11), bdftopcf (>= 0.99.2-0ubuntu1), dpkg-dev (>= 1.9.0)
 Maintainer: Joey Hess <joeyh@debian.org>
-Standards-Version: 3.6.1.0
+Standards-Version: 3.6.2
 
 Package: big-cursor
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,7 @@
 	dh_testdir
 	dh_testroot
 	dh_clean -k
-	dh_install big-cursor.pcf usr/X11R6/lib/X11/fonts/misc
+	dh_install big-cursor.pcf usr/share/X11/fonts/misc
 
 binary-indep: build install

## big-cursor 3.6

=== debian/changelog ===
big-cursor (3.6) unstable; urgency=low

  * Rebuilt with debhelper 5.0.31 which has more dh_installxfonts fixes.

 -- Joey Hess <joeyh@debian.org>  Mon, 17 Apr 2006 15:56:45 -0400

big-cursor (3.5) unstable; urgency=low

  * Deal with X's font directory move.
  * Needs newest debhelper.

 -- Joey Hess <joeyh@debian.org>  Thu, 13 Apr 2006 01:12:17 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: big-cursor
 Section: x11
 Priority: optional
-Build-Depends: debhelper (>= 4.0.11), bdftopcf (>= 0.99.2-0ubuntu1), dpkg-dev (>= 1.9.0)
+Build-Depends: debhelper (>= 5.0.29), xutils (>= 4.0.2), dpkg-dev (>= 1.9.0)
 Maintainer: Joey Hess <joeyh@debian.org>
 Standards-Version: 3.6.2

## big-cursor 3.6ubuntu1

=== debian/changelog ===
big-cursor (3.6ubuntu1) edgy; urgency=low

  * Merge newer debian version:
    + add replace build-dependency of xutils with bdftopcf (the 
      binary bdftopcf is in a different package in ubuntu).

 -- Stefan Potyra <sistpoty@ubuntu.com>  Fri,  7 Jul 2006 14:10:49 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: big-cursor
 Section: x11
 Priority: optional
-Build-Depends: debhelper (>= 5.0.29), xutils (>= 4.0.2), dpkg-dev (>= 1.9.0)
+Build-Depends: debhelper (>= 5.0.29), dpkg-dev (>= 1.9.0), bdftopcf
 Maintainer: Joey Hess <joeyh@debian.org>
 Standards-Version: 3.6.2

=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,7 @@
 	dh_testdir
 	dh_testroot
 	dh_clean -k
-	dh_install big-cursor.pcf usr/share/X11/fonts/misc
+	dh_install big-cursor.pcf usr/share/fonts/X11/misc
 
 binary-indep: build install

## big-cursor 3.6ubuntu2

=== debian/changelog ===
big-cursor (3.6ubuntu2) feisty; urgency=low

  * debian/control: Changed bdftopcf build dependency to xfonts-utils.
  * Modified Maintainer value to match Debian-Maintainer-Field Spec

 -- Luke Yelavich <themuso@ubuntu.com>  Fri,  2 Feb 2007 22:34:30 +1100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: big-cursor
 Section: x11
 Priority: optional
-Build-Depends: debhelper (>= 5.0.29), dpkg-dev (>= 1.9.0), bdftopcf
-Maintainer: Joey Hess <joeyh@debian.org>
+Build-Depends: debhelper (>= 5.0.29), dpkg-dev (>= 1.9.0), xfonts-utils
+Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
+X-Original-Maintainer: Joey Hess <joeyh@debian.org>
 Standards-Version: 3.6.2
 
 Package: big-cursor

## big-cursor 3.7

=== debian/changelog ===
big-cursor (3.7) unstable; urgency=low

  * Current policy.
  * Debhelper v5.
  * Add hint about X resources to README.Debian.
  * Only run font move code on upgrade, not new install.
  * Depend on xfonts-base, so it can divert the cursor from there.

 -- Joey Hess <joeyh@debian.org>  Wed, 02 Jan 2008 21:56:59 -0500

=== debian/control ===
Source: big-cursor
Section: x11
Priority: optional
Build-Depends: debhelper (>= 5.0.29), xutils (>= 4.0.2), dpkg-dev (>= 1.9.0)
Maintainer: Joey Hess <joeyh@debian.org>
Standards-Version: 3.7.3
Vcs-Git: git://git.kitenet.net/joey/packages/big-cursor

Package: big-cursor
Architecture: all
Depends: ${misc:Depends}, xfonts-base
Description: larger mouse cursors for X
 This package provides some large mouse cursors for use under X. It's useful
 for laptop users, for those running X at very high resolutions, and for
 anyone who finds it hard to see the default mouse cursors.

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,9 @@
 	dh_clean -k
 	dh_install big-cursor.pcf usr/share/fonts/X11/misc
 
+binary-arch: build install
+
 binary-indep: build install
-
-binary-arch: build install
 	dh_testdir
 	dh_testroot
 	dh_installdocs

## big-cursor 3.8

=== debian/changelog ===
big-cursor (3.8) unstable; urgency=low

  * use debhelper v7
  * Add a Makefile
  * Rules file minimised to 3 lines.
  * Git location changed.
  * Build dep update.

 -- Joey Hess <joeyh@debian.org>  Sat, 05 Jul 2008 20:06:27 -0400

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: big-cursor
 Section: x11
 Priority: optional
-Build-Depends: debhelper (>= 5.0.29), xutils (>= 4.0.2), dpkg-dev (>= 1.9.0)
+Build-Depends: debhelper (>= 7), xfonts-utils (>= 4.0.2), dpkg-dev (>= 1.9.0)
 Maintainer: Joey Hess <joeyh@debian.org>
-Standards-Version: 3.7.3
-Vcs-Git: git://git.kitenet.net/joey/packages/big-cursor
+Standards-Version: 3.8.0
+Vcs-Git: git://git.kitenet.net/big-cursor
 
 Package: big-cursor
 Architecture: all

## big-cursor 3.9

=== debian/changelog ===
big-cursor (3.9) unstable; urgency=medium

  * Orphaned the package.

 -- Joey Hess <joeyh@debian.org>  Tue, 27 May 2014 16:08:28 -0400

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: x11
 Priority: optional
 Build-Depends: debhelper (>= 7), xfonts-utils (>= 4.0.2), dpkg-dev (>= 1.9.0)
-Maintainer: Joey Hess <joeyh@debian.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Standards-Version: 3.8.0
 Vcs-Git: git://git.kitenet.net/big-cursor

## big-cursor 3.10

=== debian/changelog ===
big-cursor (3.10) unstable; urgency=medium

  * Adopted the package. Closes: #756541
  * Add Ming-ting Yao Wei into debian/copyright for the maintainer change.
  * Put the repo into collab-maint. The old repo does not work.
  * Use debhelper v9.
  * Upgrade to the policy version 3.9.6.
  * Override lintian warnings as moving a file of xfonts-base is needed.
  * Add source package format.

 -- Yao Wei (魏銘廷) <mwei@lxde.org>  Mon, 10 Aug 2015 16:01:40 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: big-cursor
 Section: x11
 Priority: optional
-Build-Depends: debhelper (>= 7), xfonts-utils (>= 4.0.2), dpkg-dev (>= 1.9.0)
-Maintainer: Debian QA Group <packages@qa.debian.org>
-Standards-Version: 3.8.0
-Vcs-Git: git://git.kitenet.net/big-cursor
+Build-Depends: debhelper (>= 9), xfonts-utils (>= 4.0.2), dpkg-dev (>= 1.9.0)
+Maintainer: Yao Wei (魏銘廷) <mwei@lxde.org>
+Standards-Version: 3.9.6
+Vcs-Git: git://anonscm.debian.org/collab-maint/big-cursor
+Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/big-cursor.git/
 
 Package: big-cursor
 Architecture: all

## big-cursor 3.10+nmu1

=== debian/changelog ===
big-cursor (3.10+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * Source-only upload and rebuild for Debian Bullseye.
  * debian/control:
    + Update maintainer email address and use the @debian.org one.
    + Bump debhelper compat to v12.
    + Bump Standards-Version to 4.4.0.
    + Update Vcs-* fields to use the one under Salsa Debian group.
  * debian/copyright: Use secure URI.
  * Makefile: Mark PHONY targets.

 -- Boyuan Yang <byang@debian.org>  Fri, 13 Sep 2019 12:15:55 -0400

=== debian/control ===
Source: big-cursor
Section: x11
Priority: optional
Build-Depends: debhelper-compat (= 12), xfonts-utils (>= 4.0.2)
Maintainer: Yao Wei (魏銘廷) <mwei@debian.org>
Standards-Version: 4.4.0
Vcs-Git: https://salsa.debian.org/debian/big-cursor.git
Vcs-Browser: https://salsa.debian.org/debian/big-cursor

Package: big-cursor
Architecture: all
Depends: ${misc:Depends}, xfonts-base
Description: larger mouse cursors for X
 This package provides some large mouse cursors for use under X. It's useful
 for laptop users, for those running X at very high resolutions, and for
 anyone who finds it hard to see the default mouse cursors.

## big-cursor 3.12

=== Makefile ===
--- 
+++ 
@@ -3,3 +3,5 @@
 
 clean:
 	rm -f big-cursor.pcf
+
+.PHONY: build clean

=== debian/changelog ===
big-cursor (3.12) unstable; urgency=medium

  * control: Actually update maintainer field.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 02 Aug 2020 01:28:11 +0200

big-cursor (3.11) unstable; urgency=medium

  * Adopted the package. Closes: #941303.
  * control: Bump Standards-Version to 4.5.0 (no change)

 -- Samuel Thibault <sthibault@debian.org>  Sun, 02 Aug 2020 01:19:06 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,9 @@
 Section: x11
 Priority: optional
 Build-Depends: debhelper-compat (= 12), xfonts-utils (>= 4.0.2)
-Maintainer: Yao Wei (魏銘廷) <mwei@debian.org>
-Standards-Version: 4.4.0
+Maintainer: Debian Accessibility Team <pkg-a11y-devel@alioth-lists.debian.net>
+Uploaders: Samuel Thibault <sthibault@debian.org>
+Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/debian/big-cursor.git
 Vcs-Browser: https://salsa.debian.org/debian/big-cursor

## big-cursor 3.15

=== debian/changelog ===
big-cursor (3.15) unstable; urgency=medium

  * Re-upload as source-only.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 11 Dec 2021 11:42:46 +0100

big-cursor (3.14) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on xfonts-utils.

  [ Samuel Thibault ]
  * big-cursor.lintian-overrides: Update override text.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 11 Dec 2021 11:35:30 +0100

big-cursor (3.13) unstable; urgency=medium

  * big-cursor.lintian-overrides: Fix typo.
  * control: Set Rules-Requires-Root to no.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 18 Sep 2021 17:53:08 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: big-cursor
 Section: x11
 Priority: optional
-Build-Depends: debhelper-compat (= 12), xfonts-utils (>= 4.0.2)
+Build-Depends: debhelper-compat (= 12), xfonts-utils
+Rules-Requires-Root: no
 Maintainer: Debian Accessibility Team <pkg-a11y-devel@alioth-lists.debian.net>
 Uploaders: Samuel Thibault <sthibault@debian.org>
 Standards-Version: 4.5.0

## big-cursor 3.16

=== debian/changelog ===
big-cursor (3.16) unstable; urgency=medium

  * control: Make multi-arch: foreign.
  * control: Bump Standards-Version to 4.6.1 (no change).

 -- Samuel Thibault <sthibault@debian.org>  Sun, 01 Jan 2023 22:16:27 +0100

=== debian/control ===
--- 
+++ 
@@ -5,12 +5,13 @@
 Rules-Requires-Root: no
 Maintainer: Debian Accessibility Team <pkg-a11y-devel@alioth-lists.debian.net>
 Uploaders: Samuel Thibault <sthibault@debian.org>
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Vcs-Git: https://salsa.debian.org/debian/big-cursor.git
 Vcs-Browser: https://salsa.debian.org/debian/big-cursor
 
 Package: big-cursor
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}, xfonts-base
 Description: larger mouse cursors for X
  This package provides some large mouse cursors for use under X. It's useful

## big-cursor 3.16build1

=== debian/changelog ===
big-cursor (3.16build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 09 Dec 2025 22:58:26 +0000
